%global short_name ordered-set
%global dir_name ordered_set

Name:           python-%{short_name}
Version:        2.0.0
Release:        %mkrel 4
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
License:        MIT
URL:            https://github.com/LuminosoInsight/ordered-set
Source0:        https://pypi.python.org/packages/source/o/%{short_name}/%{short_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python3-devel
BuildRequires:  python3-nose

%description
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

%package -n python2-%{short_name}
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python
Provides:       python-%{short_name} = %{version}-%{release}

%description -n python2-%{short_name}
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

This package contains python2 bindings.


%package -n python3-%{short_name}
Summary:        A Custom MutableSet that remembers its order
Group:          Development/Python

%description -n python3-%{short_name}
An OrderedSet is a custom MutableSet that remembers its order, so that every
entry has an index that can be looked up.

This package contains python3 bindings.


%prep
%setup -qc
mv %{short_name}-%{version} python2

cp -a python2 python3


%build
pushd python2
%py2_build
popd

pushd python3
%py3_build
popd

%install
pushd python2
%py2_install
popd

pushd python3
%py3_install
popd


%files -n python2-%{short_name}
%doc python2/README
%{python2_sitelib}/*

%files -n python3-%{short_name} 
%doc python3/README
%{python3_sitelib}/%{dir_name}.py
%{python3_sitelib}/*egg-info/
%{python3_sitelib}/__pycache__/*




%changelog
* Wed May 11 2016 ngompa <ngompa> 2.0.0-4.mga6
+ Revision: 1013095
- imported package python-ordered-set

